_Elm_Genlist_Data Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Elm_Genlist_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields
Eina_Inlist_Sorted_State * | state
Evas_Object * | hit_rect
Evas_Object * | pan_obj
Evas_Object * | stack [2]
Evas_Object * | obj
Eina_List * | selected
Eina_List * | deselecting
Eina_List * | group_items
Eina_Inlist * | items
Elm_Gen_Item * | reorder_it
Elm_Object_Item * | last_selected_item
Elm_Object_Item * | focused_item
| a focused item by keypad arrow or mouse.
Elm_Object_Item * | last_focused_item
| This records the last focused item when widget looses focus.
int | walking
int | minw
int | minh
unsigned int | item_count
Evas_Coord | pan_x
Evas_Coord | pan_y
Elm_Object_Select_Mode | select_mode
Elm_Object_Multi_Select_Mode | multi_select_mode
| select mode for multiple selection
Eina_Inlist * | blocks
Evas_Coord | reorder_old_pan_y
Evas_Coord | w
Evas_Coord | h
Evas_Coord | realminw
Evas_Coord | prev_viewport_w
Ecore_Job * | update_job
Ecore_Idle_Enterer * | queue_idle_enterer
Ecore_Idler * | must_recalc_idler
Eina_List * | queue
Elm_Gen_Item * | show_item
Elm_Gen_Item * | anchor_item
Elm_Gen_Item * | mode_item
Elm_Gen_Item * | reorder_rel
Elm_Gen_Item * | expanded_item
Elm_Gen_Item * | pin_item
Eina_Inlist * | item_cache
Evas_Coord | anchor_y
Evas_Coord | reorder_start_y
Elm_List_Mode | mode
Ecore_Timer * | multi_timer
Ecore_Timer * | scr_hold_timer
Ecore_Animator * | reorder_move_animator
const char * | decorate_it_type
double | start_time
Evas_Coord | prev_x
Evas_Coord | prev_y
Evas_Coord | prev_mx
Evas_Coord | prev_my
Evas_Coord | cur_x
Evas_Coord | cur_y
Evas_Coord | cur_mx
Evas_Coord | cur_my
struct {
Evas_Coord x
Evas_Coord y
} | history [SWIPE_MOVES]
int | multi_device
int | item_cache_count
int | item_cache_max
int | movements
int | max_items_per_block
double | longpress_timeout
Eina_Compare_Cb | item_compare_cb
Eina_Compare_Cb | item_compare_data_cb
Elm_Genlist_Item_Scrollto_Type | scroll_to_type
Evas_Object * | event_block_rect
| This object blocks the event in some cases.
Eina_List * | move_items
Elm_Gen_Item * | expanded_next_item
Elm_Genlist_Item_Move_Effect_Mode | move_effect_mode
int | reorder_fast
Eina_List * | filter_queue
Eina_List * | filtered_list
void * | filter_data
unsigned int | processed_count
unsigned int | filtered_count
unsigned int | top_level_parent_items
Ecore_Idle_Enterer * | queue_filter_enterer
Eina_Hash * | size_caches
Eina_Hash * | content_item_map
Eo * | provider
Elm_Gen_Item * | focus_on_realization
Eina_Bool | scr_minw: 1
Eina_Bool | scr_minh: 1
Eina_Bool | filter: 1
Eina_Bool | focus_on_selection_enabled: 1
Eina_Bool | tree_effect_enabled: 1
Eina_Bool | auto_scroll_enabled: 1
Eina_Bool | decorate_all_mode: 1
Eina_Bool | height_for_width: 1
Eina_Bool | reorder_pan_move: 1
Eina_Bool | multi_timeout: 1
Eina_Bool | multi_touched: 1
Eina_Bool | reorder_mode: 1
Eina_Bool | check_scroll: 1
Eina_Bool | pan_changed: 1
Eina_Bool | wasselected: 1
Eina_Bool | homogeneous: 1
Eina_Bool | longpressed: 1
Eina_Bool | mouse_down: 1
Eina_Bool | multi_down: 1
Eina_Bool | on_sub_del: 1
Eina_Bool | highlight: 1
Eina_Bool | h_bounce: 1
Eina_Bool | v_bounce: 1
Eina_Bool | bring_in: 1
Eina_Bool | requeued: 1
Eina_Bool | on_hold: 1
Eina_Bool | multi: 1
Eina_Bool | swipe: 1
| value whether item loop feature is enabled or not.
Eina_Bool | item_loop_enable: 1
Eina_Bool | item_looping_on: 1
Eina_Bool | tree_effect_animator: 1
Eina_Bool | pin_item_top: 1
Eina_Bool | need_calc: 1

## Field Documentation

## ◆ focused_item

Elm_Object_Item* _Elm_Genlist_Data::focused_item

a focused item by keypad arrow or mouse.

This is set to NULL if widget looses focus.

## ◆ last_focused_item

Elm_Object_Item* _Elm_Genlist_Data::last_focused_item

This records the last focused item when widget looses focus.

This is required to set the focus on last focused item when widgets gets focus.

## ◆ event_block_rect

Evas_Object* _Elm_Genlist_Data::event_block_rect

This object blocks the event in some cases.

For example, when the tree effect is running and not finished, this object blocks events to the genlist.